"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var os = require("os");
var path = require("path");
var findAuthToken_1 = require("./findAuthToken");
function retrieveAuthToken(registry, npmrcPath) {
    if (registry === void 0) { registry = 'registry.npmjs.org'; }
    npmrcPath = npmrcPath || path.join(os.homedir(), '.npmrc');
    if (!fs.existsSync(npmrcPath)) {
        return null;
    }
    var content = fs.readFileSync(npmrcPath, { encoding: 'utf8' });
    return findAuthToken_1.findAuthToken(content, registry);
}
exports.retrieveAuthToken = retrieveAuthToken;
